
Auto Multiple Choice - Bug # 475: Mauvaise initialisation des préférences

Status: Closed Priority: Normal
Author: Joël Brogniart Category: Installation
Created: 04/11/2017 Assignee:
Updated: 02/08/2021 Due date:
Description: Sous macOS 10.12.4, avec AMC 2042 commit:96450c3913cc avec une installation toute neuve ou après 

avoir supprimé le dossier @~/.AMC.d@, quand on lance AMC, l'initialisation n'est pas correctement 
effectuée.

Le dossier @~/.AMC.d@ et les sous dossiers @Models@ et @plugins@ sont créés mais pas les fichiers 
@cf.default.xml@ ni @state.xlm@.

Lorsqu'on ouvre la fenêtre des préférences tous les champs sont vides. 

History
04/11/2017 11:03 am - Joël Brogniart
Pas contre il semble que lorsqu'un ancien dossier de préférences est présent, celles ci sont bien lue et affichées dans la fenêtre des préférences.

04/11/2017 11:12 am - Alexis Bienvenüe
Pouvez-vous joindre le fichier @log@ produit avec la commande suivante ?

  auto-multiple-choice gui --debug

04/11/2017 11:22 am - Joël Brogniart
- File AMC-DEBUG-Q6l6ob7f.log added

Voici le journal. Je cherchais justement comment lancer avec le mode debug.

04/11/2017 11:46 am - Joël Brogniart
Dans AMC/Config.pm, ligne 143
<pre>
    if(!$self->{state_file});
</pre>

est-ce qu'il ne manquerait pas quelque chose du genre si le fichier d'état n'existe pas, le créer avec des valeurs pas défaut ?

04/11/2017 11:46 am - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in changeset commit:eb15ba78bfe7.

04/11/2017 11:47 am - Alexis Bienvenüe
Ça devrait aller mieux avec commit:eb15ba78bfe7.

04/11/2017 12:07 pm - Joël Brogniart
Ça marche. Merci. Elle sert à quelque chose la ligne 143 dans Config.pm ?

04/11/2017 03:29 pm - Alexis Bienvenüe
En perl on peut écrire l'action avant la condition : si le test de la ligne 143 est vérifié, alors l'action de la ligne 142 est effectuée.

04/11/2017 03:43 pm - Joël Brogniart
Aaaah, je n'avais pas vu que ça faisait partie de l'instruction de la ligne du dessus. Ça donne tout de suite plus de sens. 

02/08/2021 04:41 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed
